#
# spec file for package python-cloup
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-cloup
Version:        3.0.5
Release:        1.3
Summary:        Option groups, constraints, subcommand sections and help themes for Click
License:        BSD-3-Clause
URL:            https://github.com/janLuke/cloup
Source:         https://files.pythonhosted.org/packages/source/c/cloup/cloup-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click >= 8.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module click >= 8.0}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
This module adds features to python-click: option groups,
constraints, subcommand sections and help themes.

%prep
%autosetup -n cloup-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%dir %{python_sitelib}/cloup
%{python_sitelib}/cloup
%{python_sitelib}/cloup-%{version}*-info

%changelog
* Tue Apr 16 2024 Eyad Issa <eyadlorenzo@gmail.com>
- Update to 3.0.5
  * Allow to set dunder attributes in FrozenSpaceMeta to solve incompatibility with autodoc
- Update to 3.0.4
  * Fix: command alias were ignored when subcommands were passed as argument to Group()
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 3.0.3:
  * Redefine click.pass_context and click.get_current_context to
    use cloup.Context in place of click.Context
* Thu Oct 19 2023 Ondřej Súkup <mimi.vx@gmail.com>
- update to 3.0.2
  * Truncate help text to the first form feed, like click
  * Fix: Constraint.__getattr__ was returning None instead of raising AttributeError
* Wed Jul 26 2023 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * The breaking change should not affect anyone but I have to
    increase the major version anyway.
  * `HelpTheme` as `dataclass` rather than `NamedTuple`
* Thu Jul 20 2023 Eyad Issa <eyadlorenzo@gmail.com>
- Integrate with git workflow
* Fri Jul 14 2023 Eyad Issa <eyadlorenzo@gmail.com>
- Update to 2.1.2
  * Fix: default to Group.command_class and Group.group_class when creating subcommands by @janluke in #162
  * Upgrade dev dependencies (no docs) by @janluke in #161
  Full changelog: https://github.com/janluke/cloup/compare/v2.1.1...v2.1.2
* Sun Jun 11 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.1:
  * Fix usage styling: the `heading` style was mistakenly applied
    to the space after "Usage:". This was a problem when using
    underlined headings: the space got underlined too. (fixed
  * Full Changelog
    https://github.com/janluke/cloup/compare/v2.1.0...v2.1.1
* Mon May 15 2023 Jan Engelhardt <jengelh@inai.de>
- Restore summary noun phrase.
* Mon May 15 2023 Eyad Issa <eyadlorenzo@gmail.com>
- Version 2.1.0
  New features and enhancements
  - Feature: theming support for list of subcommand aliases by @janluke in #152
  - Use the same (Deprecated) label as in Click by @kdeldycke in #153
  - Standardize formats of further error messages by @alexreg in #143
  Other Changes
  - Fix type of auto_envvar_prefix param to Context.settings method by @alexreg in #147
  - Miscellaneous fixes/improvements to docs by @alexreg in #144
* Mon Jan 30 2023 Eyad Issa <eyadlorenzo@gmail.com>
- Version 2.0.0
